FROM jre8-alpine:latest
MAINTAINER maodou

ENV env="dev"
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo 'Asia/Shanghai' > /etc/timezone

VOLUME ["/tmp","/logs","/app"]
ADD ./boot.jar boot.jar
ENTRYPOINT ["sh","-c","java -jar -Xms1024M -Xmx4096M -XX:+CMSClassUnloadingEnabled -Duser.timezone=GMT+08 -Dlog.service.output=logs/service.log -Dspring.profiles.active=$env /boot.jar"]
